import 'package:flutter/material.dart';
import 'package:hamlemuhcrm/core/extensions/responsive_extension.dart';

class ChatViewBackground extends StatelessWidget {
  final Widget child;

  const ChatViewBackground({super.key, required this.child});
  @override
  Widget build(BuildContext context) {
    String chatBackgroundImagePath = "assets/images/page_images/pi_mchat.png";

    return Container(
        height: context.dynamicHeight(1),
        decoration: BoxDecoration(
            image: DecorationImage(
                image: AssetImage(chatBackgroundImagePath), fit: BoxFit.cover)),
        child: child);
  }
}
